Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2215352 - libreoffice: FTBFS in Fedora Rawhide
Summary: libreoffice: FTBFS in Fedora Rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Stephan Bergmann
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F39FTBFS PYTHON3.12
TreeView+ depends on / blocked
 
Reported: 2023-06-15 16:32 UTC by Miro Hrončok
Modified: 2023-06-20 07:38 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-06-16 13:32:50 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2023-06-15 16:32:35 UTC
Description of problem:
Package libreoffice fails to build from source in Fedora Rawhide.

Version-Release number of selected component (if applicable):
7.5.2.2-1.fc39

Steps to Reproduce:
fedpkg build

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/libreoffice

Reproducible: Always

Comment 1 Miro Hrončok 2023-06-15 16:34:06 UTC
It's failing at least since April: https://koschei.fedoraproject.org/build/15276466



This blocks the Python 3.12 rebuild and without a successfully rebuilt LibreOffice, we cannot emerge the side tag, as LibreOffice is still included in the blocking release media.

Comment 2 Miro Hrončok 2023-06-15 16:35:53 UTC
...
[_RUN_____] DesktopLOKTest::testInsertCertificate_PEM_ODT
DesktopLOKTest::testInsertCertificate_PEM_ODT finished in: 738ms
[_RUN_____] DesktopLOKTest::testInsertCertificate_PEM_DOCX
DesktopLOKTest::testInsertCertificate_PEM_DOCX finished in: 287ms
[_RUN_____] DesktopLOKTest::testSignDocument_PEM_PDF
/builddir/build/BUILD/libreoffice-7.5.2.2/desktop/qa/desktop_lib/test_desktop_lib.cxx:2924:DesktopLOKTest::testSignDocument_PEM_PDF
assertion failed
- Expression: bResult
DesktopLOKTest::testSignDocument_PEM_PDF finished in: 151ms
[_RUN_____] DesktopLOKTest::testTextSelectionHandles
DesktopLOKTest::testTextSelectionHandles finished in: 85ms
[_RUN_____] DesktopLOKTest::testComplexSelection
DesktopLOKTest::testComplexSelection finished in: 96ms
[_RUN_____] DesktopLOKTest::testSpellcheckerMultiView
DesktopLOKTest::testSpellcheckerMultiView finished in: 109ms
[_RUN_____] DesktopLOKTest::testDialogPaste
DesktopLOKTest::testDialogPaste finished in: 103ms
[_RUN_____] DesktopLOKTest::testShowHideDialog
DesktopLOKTest::testShowHideDialog finished in: 92ms
[_RUN_____] DesktopLOKTest::testDialogInput
DesktopLOKTest::testDialogInput finished in: 87ms
[_RUN_____] DesktopLOKTest::testCalcSaveAs
DesktopLOKTest::testCalcSaveAs finished in: 496ms
[_RUN_____] DesktopLOKTest::testControlState
DesktopLOKTest::testControlState finished in: 297ms
[_RUN_____] DesktopLOKTest::testMetricField
DesktopLOKTest::testMetricField finished in: 244ms
[_RUN_____] DesktopLOKTest::testMultiDocuments
DesktopLOKTest::testMultiDocuments finished in: 859ms
[_RUN_____] DesktopLOKTest::testJumpCursor
DesktopLOKTest::testJumpCursor finished in: 117ms
[_RUN_____] DesktopLOKTest::testRenderSearchResult_WriterNode
DesktopLOKTest::testRenderSearchResult_WriterNode finished in: 230ms
[_RUN_____] DesktopLOKTest::testRenderSearchResult_CommonNode
DesktopLOKTest::testRenderSearchResult_CommonNode finished in: 85ms
[_RUN_____] DesktopLOKTest::testNoDuplicateTableSelection
DesktopLOKTest::testNoDuplicateTableSelection finished in: 99ms
[_RUN_____] DesktopLOKTest::testMultiViewTableSelection
DesktopLOKTest::testMultiViewTableSelection finished in: 131ms
[_RUN_____] DesktopLOKTest::testABI
DesktopLOKTest::testABI finished in: 0ms
test_desktop_lib.cxx:2924:Assertion
Test name: DesktopLOKTest::testSignDocument_PEM_PDF
assertion failed
- Expression: bResult
Failures !!!
Run: 63   Failure total: 1   Failures: 1   Errors: 0
which: no gdb in (/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin:/usr/lib/jvm/java-17-openjdk-17.0.7.0.7-5.fc39.x86_64/bin)
You need gdb in your path to show backtraces
Error: a unit test failed, please do one of:
make CppunitTest_desktop_lib CPPUNITTRACE="gdb --args"
    # for interactive debugging on Linux
make CppunitTest_desktop_lib VALGRIND=memcheck
    # for memory checking
make CppunitTest_desktop_lib DEBUGCPPUNIT=TRUE
    # for exception catching
You can limit the execution to just one particular test by:
make CPPUNIT_TEST_NAME="testXYZ" ...above mentioned params...
make[1]: *** [/builddir/build/BUILD/libreoffice-7.5.2.2/solenv/gbuild/CppunitTest.mk:119: /builddir/build/BUILD/libreoffice-7.5.2.2/workdir/CppunitTest/desktop_lib.test] Error 1
...

Comment 3 Miro Hrončok 2023-06-15 16:41:36 UTC
Stephan, you are marked as a default bugzilla assignee but are not listed as one of the maintainers of the package. Should this NOT be assigned to you?

Comment 4 Gwyn Ciesla 2023-06-15 19:06:27 UTC
Investigating.

Comment 5 Gwyn Ciesla 2023-06-15 20:34:40 UTC
What is the python 3.12 rebuikld side tag?

Comment 6 Gwyn Ciesla 2023-06-15 20:47:05 UTC
f39-python. Of course. :)

Comment 7 Stephan Bergmann 2023-06-16 12:21:00 UTC
(In reply to Gwyn Ciesla from comment #4)
> Investigating.

When I do an x86_64 scratch build adding `--enable-debug` to LO's configure, the output contains

> [_RUN_____] DesktopLOKTest::testSignDocument_PEM_PDF
> warn:xmlsecurity.helper:548064:548064:xmlsecurity/source/helper/xmlsignaturehelper.cxx:78: SetStorage - empty storage!
> warn:svl.crypto:548064:548064:svl/source/crypto/cryptosign.cxx:1323: NSS_CMSEncoder_Finish failed
> warn:vcl.filter:548064:548064:vcl/source/filter/ipdf/pdfdocument.cxx:953: PDFDocument::Sign: PDFWriter::Sign() failed
> warn:xmlsecurity.helper:548064:548064:xmlsecurity/source/helper/pdfsignaturehelper.cxx:576: failed to sign
> warn:xmlsecurity.helper:548064:548064:xmlsecurity/source/helper/documentsignaturemanager.cxx:365: PDFSignatureHelper::Sign() failed
> /builddir/build/BUILD/libreoffice-7.5.3.2/desktop/qa/desktop_lib/test_desktop_lib.cxx:2923:DesktopLOKTest::testSignDocument_PEM_PDF
> assertion failed
> - Expression: bResult
> DesktopLOKTest::testSignDocument_PEM_PDF finished in: 142ms

The leading "SetStorage - empty storage!" appears to be normal and harmless, but the rest suggest that there is some issue with NSS.

Comment 8 Gwyn Ciesla 2023-06-16 13:32:50 UTC
I built it successfully in the side tag by disabling tests. There's a new release, I'll see if that fixes the above, but at least one patch needs refactoring.

Comment 10 Mamoru TASAKA 2023-06-20 06:37:16 UTC
Actually this one: https://koji.fedoraproject.org/koji/taskinfo?taskID=102370473

Comment 11 Stephan Bergmann 2023-06-20 07:38:56 UTC
(In reply to Miro Hrončok from comment #3)
> Stephan, you are marked as a default bugzilla assignee but are not listed as
> one of the maintainers of the package. Should this NOT be assigned to you?

(AFAIU, setting up a new default owner for LibreOffice issues is work in progress per the discussion thread starting at <https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/DWWZKRBVZ5VY2FCA6IIGCHICU75NGCGZ/#DWWZKRBVZ5VY2FCA6IIGCHICU75NGCGZ> "SIG proposal: libreoffice-sig".)


Note You need to log in before you can comment on or make changes to this bug.